import { BaseType } from "../Base/Base";
export declare type SetType<T> = {
    forEach: (callback: (element: T, index: number) => void) => void;
    insert: (element: T) => void;
    erase: (element: T) => void;
    find: (element: T) => boolean;
    union: (other: SetType<T>) => void;
    getHeight: () => number;
} & BaseType;
declare const _default: new <T>(arr?: T[] | undefined, cmp?: ((x: T, y: T) => number) | undefined) => SetType<T>;
export default _default;
